// Matrix texture fragment shader

uniform sampler2D diffuseTex;

void main() 
{ 	
	// Texture lookup
	vec4 color = texture2D(diffuseTex, gl_TexCoord[0].st);

	// Discard transparent fragments
	if (color.a == 0.0){
		discard;
	}

	// Modulate texel brightness 	
	gl_FragColor = gl_Color * color; 
//	gl_FragColor = color; 
//	gl_FragColor = gl_Color; 

}